<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_xcov.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_xcov" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_xcov</refname>
    <refpurpose>Compute covariance at various lags[=correlation(x-mean(x),y-mean(y))].</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [c, lag] = nan_xcov (X [, Y] [, maxlag] [, scale])
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> input vector</para></listitem></varlistentry>
   <varlistentry><term>Y:</term>
      <listitem><para> if specified, compute cross-covariance between X and Y,</para></listitem></varlistentry>
   <varlistentry><term>maxlag:</term>
      <listitem><para> is specified, use lag range [-maxlag:maxlag],</para></listitem></varlistentry>
   <varlistentry><term>otherwise use range [-n+1:</term>
      <listitem><para>n-1].</para></listitem></varlistentry>
   <varlistentry><term>Scale:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>lags:</term>
      <listitem><para> vector of lags</para></listitem></varlistentry>
   <varlistentry><term>c:</term>
      <listitem><para> covariance for each lag in the range</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Returns the covariance for each lag in the range, plus an
optional vector of lags.
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 1999 Paul Kienzle</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
